package com.hh.arome.common.scan.idcard.abstractidcard;

import com.hh.arome.common.scan.idcard.callback.IDCardInitResultCallback;
import com.hh.arome.common.scan.idcard.callback.IDCardScanResultCallback;


/**
 * Created by L470 on 2020/4/11.
 * 对各种身份证扫码的最高层抽象
 */
public interface IIDCardScan {

    // 初始化成功失败回调
    void initIDCard(IDCardInitResultCallback idCardInitResultCallback);

    // 扫身份证结果回调
    void startIDCardScan(IDCardScanResultCallback idCardScanResultCallback);

    void resumeIDCardScan();

    void pauseIDCardScan();

    void stopIDCardScan();

    void destoryIDCardScan();


}
